package CRSDK;

@SuppressWarnings("unused")
public enum CrFocusIndicator {
    CrFocusIndicator_Unlocked (0x00000001),
    CrFocusIndicator_Focused_AF_S (0x00000102),
    CrFocusIndicator_NotFocused_AF_S (0x00000202),
    CrFocusIndicator_Focused_AF_C (0x00000103),
    CrFocusIndicator_NotFocused_AF_C (0x00000203),
    CrFocusIndicator_TrackingSubject_AF_C (0x00000303),
    CrFocusIndicator_Unpause (0x00001008),
    CrFocusIndicator_Pause (0x00002008);

    private  final CrInt32u value;
    CrFocusIndicator(int value) {
        this.value = new CrInt32u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
